"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26030D0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26031F0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26033A0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26034C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26035E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26038B0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26039D0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603A60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603AF0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603B80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603C10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603CA0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603D30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603E50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603DC0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603EE0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2603F70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26060D0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26061F0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26063A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26064C0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26065E0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26068B0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA26069D0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606A60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606AF0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606B80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606C10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606CA0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606D30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606DC0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606E50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606EE0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA2606F70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A0D0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A1F0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A3A0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A4C0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A8B0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AA60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260A9D0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AAF0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AB80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AC10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AD30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260ACA0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260ADC0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AE50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AEE0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260AF70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260D040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FEA260D0D0>)]
name: str = 'fr_HOCCN'
